Bug 850149 - Introduce new systemd-rpm macros in httpd spec file
Introduce new systemd-rpm macros in httpd spec file
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
Depends On:
Blocks: 850016
  Show dependency treegraph
Reported: 2012-08-21 09:41 EDT by Lukáš Nykrýn
Modified: 2012-10-01 07:19 EDT (History)
4 users (show)

See Also:
Fixed In Version: httpd-2.4.3-8.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-10-01 07:19:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch replaces scriptlets with new systemd macros (1.36 KB, patch)
2012-09-17 10:25 EDT, Václav Pavlín
no flags Details | Diff

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:41:37 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Václav Pavlín 2012-09-17 10:25:56 EDT
Created attachment 613682 [details]
Patch replaces scriptlets with new systemd macros
Comment 2 Joe Orton 2012-09-17 11:19:56 EDT
Are the macros available across all F17+ branches?  I don't want the spec file to diverge.
Comment 3 Václav Pavlín 2012-09-18 03:14:11 EDT
They are available in F18+, not in F17. Would you prefer conditional usage of macros only for F18+ and RHEL7+?
Comment 6 Joe Orton 2012-10-01 07:19:56 EDT
In fact we don't need to merge this spec file to pre-F18, so this is fine; thanks to Jan Kaluza.  This is merged to f18/master.

Note You need to log in before you can comment on or make changes to this bug.